import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_index_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_index_entity.g.dart';

@JsonSerializable()
class JobListIndexEntity {
	@JSONField(name: "department_list")
	List<JobListIndexDepartmentList>? departmentList = [];
	@JSONField(name: "status_list")
	List<JobListIndexStatusList>? statusList = [];

	JobListIndexEntity();

	factory JobListIndexEntity.fromJson(Map<String, dynamic> json) => $JobListIndexEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListIndexEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListIndexDepartmentList {
	int value = 0;
	String? txt = null;
	String? selected = null;

	JobListIndexDepartmentList();

	factory JobListIndexDepartmentList.fromJson(Map<String, dynamic> json) => $JobListIndexDepartmentListFromJson(json);

	Map<String, dynamic> toJson() => $JobListIndexDepartmentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListIndexStatusList {
	int value = 0;
	String? txt = null;
	String? selected = null;

	JobListIndexStatusList();

	factory JobListIndexStatusList.fromJson(Map<String, dynamic> json) => $JobListIndexStatusListFromJson(json);

	Map<String, dynamic> toJson() => $JobListIndexStatusListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}